<?php

namespace Drupal\overview_builder;

use Drupal\Core\Cache\CacheableDependencyInterface;

/**
 * Interface OverviewBuilderInterface.
 *
 * @package Drupal\overview_builder
 */
interface OverviewBuilderInterface extends CacheableDependencyInterface {

  /**
   * Builds the overview.
   *
   * @return array
   *   An array containing the overview.
   */
  public function build(): array;

}
